#ifndef GUIREGISTRATIONRESULTSTEST_H
#define GUIREGISTRATIONRESULTSTEST_H

#include <QtTest/QtTest>

#include "GuiBaseTest.h"

/**
 * \brief This is a test case that verifies that registration returns the same results for each mode
 *		(automatic, automatic gui, or manual)
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 17.11.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiRegistrationResultsTest: public GuiBaseTest
{
	Q_OBJECT
	
	private slots:
		void testRegistrationResults();
	
};

#endif //GUIREGISTRATIONRESULTSTEST_H