#ifndef GUIAUTOMATICREGTEST_H
#define GUIAUTOMATICREGTEST_H

#include <QtTest/QtTest>

#include "GuiBaseTest.h"

/**
 * \brief This is a test case that verifies the automatic registration exits immediately after user closes the app.
 *
 * \authors Brian Jensen
 *          <br>
 *          {jensen}\@in.tum.de
 *
 * \ingroup PetSpectFusion
 * \version 1.30
 * \date 29.10.2009
 *
 * Copyright (c) 2007 - 2009,
 * This programm was created as part of a student research project in cooperation
 * with the Department for Computer Science, Chair XVI
 * and the Nuklearmedizinische Klinik, Klinikum Rechts der Isar
 *
 *
 */
class GuiAutomaticRegTest: public GuiBaseTest
{
	Q_OBJECT
	
	private slots:
		void testAutomaticRegistration();
};

#endif //GUIAUTOMATICREGTEST_H